meraki_syslog – Manage syslog server settings in the Meraki cloud — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# meraki_syslog – Manage syslog server settings in the Meraki cloud

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Allows for creation and management of Syslog servers within Meraki.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_key string / required |  | Authentication key provided by the dashboard. Required if environmental variable MERAKI_KEY is not set.
host string | Default: "api.meraki.com" | Hostname for Meraki dashboard. Can be used to access regional Meraki environments, such as China.
internal_error_retry_time integer | Default: 60 | Number of seconds to retry if server returns an internal server error.
net_id string |  | ID number of a network.
net_name string |  | Name of a network. aliases: name, network
org_id string |  | ID of organization.
org_name string |  | Name of organization. aliases: organization
output_format string | Choices: snakecase ← camelcase | Instructs module whether response keys should be snake case (ex. `net_id`) or camel case (ex. `netId`).
output_level string | Choices: debug normal ← | Set amount of debug output during module execution.
rate_limit_retry_time integer | Default: 165 | Number of seconds to retry if rate limiter is triggered.
servers - |  | List of syslog server settings
| host - |  | IP address or hostname of Syslog server.
| port - | Default: "514" | Port number Syslog server is listening on.
| roles - | Choices: Wireless event log Appliance event log Switch event log Air Marshal events Flows URLs IDS alerts Security events | List of applicable Syslog server roles.
state string | Choices: present ← query | Query or edit syslog servers To delete a syslog server, do not include server in list of servers
timeout integer | Default: 30 | Time to timeout for HTTP requests.
use_https boolean | Choices: no yes ← | If `no`, it will use HTTP. Otherwise it will use HTTPS. Only useful for internal Meraki developers.
use_proxy boolean | Choices: no yes | If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.
validate_certs boolean | Choices: no yes ← | Whether to validate HTTP certificates.

## Notes

Note

- Changes to existing syslog servers replaces existing configuration. If you need to add to an existing configuration set state to query to gather the existing configuration and then modify or add.
- More information about the Meraki API can be found at https://dashboard.meraki.com/api_docs.
- Some of the options are likely only used for developers within Meraki.
- As of Ansible 2.9, Meraki modules output keys as snake case. To use camel case, set the `ANSIBLE_MERAKI_FORMAT` environment variable to `camelcase`.
- Ansible’s Meraki modules will stop supporting camel case output in Ansible 2.13. Please update your playbooks.

## Examples

    - name: Query syslog configurations on network named MyNet in the YourOrg organization
      meraki_syslog:
        auth_key: abc12345
        status: query
        org_name: YourOrg
        net_name: MyNet
      delegate_to: localhost

    - name: Add single syslog server with Appliance event log role
      meraki_syslog:
        auth_key: abc12345
        status: query
        org_name: YourOrg
        net_name: MyNet
        servers:
          - host: 192.0.1.2
            port: 514
            roles:
              - Appliance event log
      delegate_to: localhost

    - name: Add multiple syslog servers
      meraki_syslog:
        auth_key: abc12345
        status: query
        org_name: YourOrg
        net_name: MyNet
        servers:
          - host: 192.0.1.2
            port: 514
            roles:
              - Appliance event log
          - host: 192.0.1.3
            port: 514
            roles:
              - Appliance event log
              - Flows
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data complex | info | Information about the created or manipulated object.
| host string | success | Hostname or IP address of syslog server. Sample: 192.0.1.1
| port string | success | Port number for syslog communication. Sample: 443
| roles list | success | List of roles assigned to syslog server. Sample: Wireless event log, URLs

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Breit (@kbreit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.